<html>
	<head>
		<title>Calcule o IMC</title>
	</head>
	

<body>


<script>
function calcular(){
	
	var inputSexo = document.getElementById('sexo');
		var sexo = inputSexo.value ; 
	
	var inputAltura = document.getElementById('txtAltura') ; 
		var altura = parseFloat(inputAltura.value) ; 
	
	var result  = document.getElementById('result') ;
	
	var imc ; 
		
	if(!isNaN(altura)){
	
		switch(sexo){
			case 'M' : imc = calcularMasculino(altura) ; break ; 
			case 'F' : imc = calcularFeminino(altura) ; break ;
		}
		
		if( imc !== undefined  ){
			result.innerHTML = 'O IMC adequado para o sexo selecionado é: ' + imc ; 
		}
	
		}else{ 
			result.innerHTML = 'Erro no calculo ...' ; 
	}
	
	
	

}

function calcularMasculino(altura){
	
	return  (72.7*altura)-58  ; 
}

function calcularFeminino(altura){
	return (62.1*altura)-44.7 ; 
}

</script>

<label for="sexo">Selecionar</label>
	<select name="sexo" id="sexo">
		<option value="" selected>Sexo</option>
		<option value="M">Masculino</option> 
		<option value="F">Feminino</option>
	</select>

<label for="altura">Altura</label>

<input style="width : 120px;" type="text" id="txtAltura" value="Digite a altura"  />
<input type="button" value="Calcular IMC" onclick="calcular();"/>
<p id="result">IMC</p>

</body>

</html>















